GET /api/v3/meterGroup/{groupId}/digest/{dataView}/{chart}

Retrieves cost, use, unit cost or demand per day ranking data by meter group.

GetMeterGroupRankingV3 Permissions: GroupsAndBenchmarksModule (View)

Specify values for any query parameters whose database values are to be overridden.

PLEASE NOTE: As shown in the table below, this API endpoint returns different response types based on the “chart” value. Despite what you see below regarding HTTP status codes for each response type, all of these response types will return 200 OK.

Chart Response Type
cost MeterGroupDigestRankingResponseDTO
use MeterGroupDigestRankingResponseDTO
unitCost MeterGroupDigestRankingResponseDTO
demand MeterGroupDigestDemandRankingResponseDTO

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
groupId The meter group to retrieve data for integer (int32) Required
dataView The desired data view - actual, calendarized, normalized string Required
chart The desired chart - cost, use, unitcost, demand string Required

Query Parameters

Name Description Type Required
billingPeriodOption The billing period option - last12periods, lastyear, lastfiscalyear, custom (optional) string Optional
startPeriod The custom start period (optional) integer (int32) Optional
endPeriod The custom end period (optional) integer (int32) Optional
commodityId Id of commodity to filter by (optional) integer (int32) Optional
commodityCategoryId Id of commodity category to filter by (optional) integer (int32) Optional
highToLowRanking Ranking from high to low, or low to high? (optional) boolean Optional
showExcludedMembers Show group members excluded from the group? (optional) boolean Optional
showZeroAverages Show group members whose ranking averages are zero? (optional) boolean Optional

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

MeterGroupDigestRankingResponse
Property Description Type
averageCost number (double)
averageUnitCost number (double)
averageUse number (double)
averageValue number (double)
benchmarkFactorUnit string
benchmarkUnit string
benchmarkValueUnit string
costUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
highCost number (double)
highSavingsOpportunity number (double)
highUnitCost number (double)
highUse number (double)
highValue number (double)
lowCost number (double)
lowUnitCost number (double)
lowUse number (double)
lowValue number (double)
medianCost number (double)
medianUnitCost number (double)
medianUse number (double)
medianValue number (double)
meterGroupCode string
meterGroupDisplay string
meterGroupId integer (int32)
meterGroupInfo string
results MeterGroupDigestRankingChild[]
MeterGroupDigestRankingChild properties
Property Description Type
active Indicates whether the Meter is Active boolean
commodity CommodityChild
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
cost number (double)
days integer (int32)
includeInCharts boolean
isCalculatedMeter Indicates whether the Meter is a calculated meter boolean
isSplitChildMeter Indicates whether the Meter is a child of a split boolean
isSplitParentMeter Indicates whether the Meter is a parent of a split boolean
meterCode string
meterDisplay string
meterId integer (int32)
meterInfo string
savingsOpportunity number (double)
unitCost number (double)
use number (double)
value number (double)
updated The date and time the data was updated string (date-time)
useUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
Example Response application/json
{  "averageCost": 1.0,  "averageUnitCost": 1.0,  "averageUse": 1.0,  "averageValue": 1.0,  "benchmarkFactorUnit": "string",  "benchmarkUnit": "string",  "benchmarkValueUnit": "string",  "costUnit": {    "unitCode": "string",    "unitId": 1,    "unitInfo": "string"
  },  "highCost": 1.0,  "highSavingsOpportunity": 1.0,  "highUnitCost": 1.0,  "highUse": 1.0,  "highValue": 1.0,  "lowCost": 1.0,  "lowUnitCost": 1.0,  "lowUse": 1.0,  "lowValue": 1.0,  "medianCost": 1.0,  "medianUnitCost": 1.0,  "medianUse": 1.0,  "medianValue": 1.0,  "meterGroupCode": "string",  "meterGroupDisplay": "string",  "meterGroupId": 1,  "meterGroupInfo": "string",  "results": [
    {    "active": false,    "commodity": {      "commodityCode": "string",      "commodityIcon": {},      "commodityId": 1,      "commodityInfo": "string"
    },    "cost": 1.0,    "days": 1,    "includeInCharts": false,    "isCalculatedMeter": false,    "isSplitChildMeter": false,    "isSplitParentMeter": false,    "meterCode": "string",    "meterDisplay": "string",    "meterId": 1,    "meterInfo": "string",    "savingsOpportunity": 1.0,    "unitCost": 1.0,    "use": 1.0,    "value": 1.0
  }
  ],  "updated": "2026-03-30",  "useUnit": {    "unitCode": "string",    "unitId": 1,    "unitInfo": "string"
  }
}
201 Created The resource was successfully created. The response body contains the new resource.

Response Body Parameters

MeterGroupDigestDemandRankingResponse
Property Description Type
averageCost number (double)
averageValue number (double)
benchmarkFactorUnit string
benchmarkUnit string
benchmarkValueUnit string
costUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
highCost number (double)
highValue number (double)
lowCost number (double)
lowValue number (double)
medianCost number (double)
medianValue number (double)
meterGroupCode string
meterGroupDisplay string
meterGroupId integer (int32)
meterGroupInfo string
results MeterGroupDigestDemandRankingChild[]
MeterGroupDigestDemandRankingChild properties
Property Description Type
active Indicates whether the Meter is Active boolean
commodity CommodityChild
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
cost number (double)
includeInCharts boolean
isCalculatedMeter Indicates whether the Meter is a calculated meter boolean
isSplitChildMeter Indicates whether the Meter is a child of a split boolean
isSplitParentMeter Indicates whether the Meter is a parent of a split boolean
meterCode string
meterDisplay string
meterId integer (int32)
meterInfo string
value number (double)
updated The date and time the data was updated string (date-time)
Example Response application/json
{  "averageCost": 1.0,  "averageValue": 1.0,  "benchmarkFactorUnit": "string",  "benchmarkUnit": "string",  "benchmarkValueUnit": "string",  "costUnit": {    "unitCode": "string",    "unitId": 1,    "unitInfo": "string"
  },  "highCost": 1.0,  "highValue": 1.0,  "lowCost": 1.0,  "lowValue": 1.0,  "medianCost": 1.0,  "medianValue": 1.0,  "meterGroupCode": "string",  "meterGroupDisplay": "string",  "meterGroupId": 1,  "meterGroupInfo": "string",  "results": [
    {    "active": false,    "commodity": {      "commodityCode": "string",      "commodityIcon": {},      "commodityId": 1,      "commodityInfo": "string"
    },    "cost": 1.0,    "includeInCharts": false,    "isCalculatedMeter": false,    "isSplitChildMeter": false,    "isSplitParentMeter": false,    "meterCode": "string",    "meterDisplay": "string",    "meterId": 1,    "meterInfo": "string",    "value": 1.0
  }
  ],  "updated": "2026-03-30"
}
204 No Content The request succeeded. No content is returned in the response body.